PNSCAN(1)

NAME
pnscan - multi threaded port scanning tool

SYNOPSIS
pnscan [ options] [ <CIDR | host-range> <port-range>] pnscan [ options] [ <port>]

DESCRIPTION
This manual page documents briefly the pnscan command.

pnscan is a tool that can be used to survey TCP network services.

When used with two command line arguments it will scan the indicated network/hosts and ports. When used without arguments or just one then it will read hostname/IP addresses from stdin and probe those. The single port/service argument is used as a default if no port is indicated on stdin

For example, it can be used to survey the installed versions of SSH, FTP, SMTP, Web, IDENT and possibly other services.

This program implements a multithreaded TCP port scanner. More information and new relaseses may be found at: http://www.lysator.liu.se/~pen/pnscan

OPTIONS

-h  Show summary of options.

-v  Be verbose.

-V  Print version.

-d  Print internal debugging info.

-s  Lookup and print hostnames. This will slow down the scan considerably.

-S  Enable shutdown mode. With this enabled pnscan will call shutdown(2) with an argument of 1 in order to half-close the TCP connection after any -w/-W arguments has been transmitted. The default is to wait for the remote party to close its end first (or until enough bytes has been received).

-l  Line oriented output. This option will cause pnscan to try to locate the beginning of a line when a match (-r/-R) has been found, and only print up to the last byte/character on that line.

-w<string>
    Request string to send. Please note that you must send any needed CR/LF characters as needed by the protocol since the string specified is sent as is (after escape characters has been decoded).

-r<string>
    Response string to look for.

-W<hex list>
    Hex coded request string to send.

-R<hex list>
    Hex coded response string to look for.

-L<length>
    Max bytes of response to print.

-t<msecs>
    Connect/Write/Read timeout.

-n<workers>
    Maximum concurrent worker threads to start.

SEE ALSO
nmap(1)

AUTHOR
pnscan was written by Peter Eriksson <pen@lysator.liu.se>.